Subject: bug#31547: 25.3; Core dump: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

From: Marc Wilhelm Küster <[email-masked]>
Date: Tue, 29 May 2018 07:12:09 +0200

Dear Eli,

tonight the emacs delivered with Archlinux has updated itself to GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30) of 2018-05-29. You might be interested that the crash persists (scenario to provoke it unchanged).

I attach you the backtrace (before and after processing with sed and addr2line) and will look into options to get an emacs version with debugging symbols (might take a moment, unfortunately).

Best regards,

Marc

(emacs:14478): GLib-WARNING **: 06:47:47.100: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

(emacs:14478): GLib-WARNING **: 06:47:47.101: g_main_context_check() called recursively from within a source's check() or prepare() member.

Backtrace:
emacs[0x50f76f]
emacs[0x4f4aa2]
emacs[0x50f824]
emacs[0x452e6b]
emacs[0x4555f4]
emacs[0x5af552]
emacs[0x5b7585]
emacs[0x4f4848]
emacs[0x4c090a]
emacs[0x4c484b]
emacs[0x4c48db]
/usr/lib/libX11.so.6(_XError+0x11d)[0x7f329f7076ed]
/usr/lib/libX11.so.6(+0x41617)[0x7f329f704617]
/usr/lib/libX11.so.6(+0x416d5)[0x7f329f7046d5]
/usr/lib/libX11.so.6(_XEventsQueued+0x55)[0x7f329f704fd5]
/usr/lib/libX11.so.6(XPending+0x57)[0x7f329f6f6ca7]
/usr/lib/libgdk-3.so.0(+0x66f6f)[0x7f32a0f25f6f]
/usr/lib/libglib-2.0.so.0(g_main_context_prepare+0x1c9)[0x7f329fe71a49]
/usr/lib/libglib-2.0.so.0(+0x4c44e)[0x7f329fe7244e]
/usr/lib/libglib-2.0.so.0(g_main_context_pending+0x29)[0x7f329fe725e9]
/usr/lib/libgtk-3.so.0(gtk_events_pending+0xf)[0x7f32a13e3e3f]
emacs[0x4c1339]
emacs[0x4fbeb9]
emacs[0x4fc585]
emacs[0x5dd884]
emacs[0x5861e4]
emacs[0x5e03db]
emacs[0x5e0663]
emacs[0x5e097c]
emacs[0x443ce4]
emacs[0x440441]
emacs[0x44583a]
emacs[0x445a6d]
emacs[0x470b81]
emacs[0x56cd1d]
emacs[0x5a8ff1]
emacs[0x56f684]
emacs[0x56cc9b]
emacs[0x56cd39]
emacs[0x56c2fd]
emacs[0x56c430]
...

XSetWMNormalHints at ??:?
XSetWMNormalHints at ??:?
XSetWMNormalHints at ??:?
?? ??:0
?? ??:0
error at ??:?
error at ??:?
XSetWMNormalHints at ??:?
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
XSetWMNormalHints at ??:?
XSetWMNormalHints at ??:?
error at ??:?
error at ??:?
error at ??:?
error at ??:?
error at ??:?
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
re_compile_pattern at ??:?
error at ??:?
error at ??:?
re_compile_pattern at ??:?
re_compile_pattern at ??:?
re_compile_pattern at ??:?
re_compile_pattern at ??:?

On Wed, 23 May 2018 17:18:47 +0200,
Eli Zaretskii wrote:
> 
> > Date: Wed, 23 May 2018 07:10:00 +0200
> > From: Marc Wilhelm Küster <[email-masked]>
> > Cc: Marc Wilhelm Küster <[email-masked]>,
> > 	[email-masked]
> > 
> > > That's because your Emacs binary is stripped of debugging symbols.  Is
> > > there perhaps an auxiliary distribution with those symbols as separate
> > > files?  If so, could you please install that and repeat what you've
> > > done?
> > > 
> > Not to my knowledge out of the box, I'm afraid. I could perhaps configure and compile my own version of the emacs package with debuging included, but I'd need some time to study how that might work under Archlinux.
> 
> If you do decide to build your own Emacs, I suggest to build version
> 26.1, because it's quite possible this problem is fixed there (and if
> it isn't, it becomes much more urgent).
> 
> > Are there alternatives?
> 
> Not that I know of.